> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves all inbox conversations for your team.

# Get Many Inboxes

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Inbox Conversation" objectPath="inbox-conversation" />


## OpenAPI

````yaml get /inbox
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /inbox:
    get:
      tags:
        - Inbox
      summary: Get Many Inboxes
      parameters:
        - name: page
          in: query
          required: false
          description: The page number to retrieve
          example: '1'
          schema:
            type: integer
        - name: limit
          in: query
          required: false
          description: The maximum number of records to return
          example: '2'
          schema:
            type: integer
        - name: userId
          in: query
          required: true
          description: Filter by user ID
          example: usr_dG0cI7mRz7wadvioF
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/InboxConversation'
                  pagination:
                    type: object
                    properties:
                      totalItems:
                        type: integer
                      currentPage:
                        type: integer
                      nextPage:
                        type: integer
                        nullable: true
                      previousPage:
                        type: integer
                        nullable: true
                      perPage:
                        type: integer
                      totalPages:
                        type: integer
              example:
                data:
                  - _id: ibx_RsROKFC3gmowgc74P
                    opportunities: []
                    lastActivityAt: '2024-12-17T09:42:32.971Z'
                    createdBy: act_gKmkJOLCfUl4TkhIl
                    channels:
                      - email
                    teamId: tea_8QvkOiBfPdb2ZRhHi
                    contactId: ctc_Ds0IaxECSACsbLMzA
                    users:
                      - userId: usr_xtJHBMYJSOHzI3ZFb
                        sender: true
                        read: true
                      - userId: usr_bcPQCObkKptmHw2Rp
                        sender: true
                        read: true
                    createdAt: '2024-12-03T09:52:55.466Z'
                    haveReplies: true
                    lastRepliedAt: '2024-12-03T10:12:20.620Z'
                    lastRepliedChannel: email
                    contact:
                      _id: ctc_Ds0IaxECSACsbLMzA
                      fullName: Alex
                      email: alex@example.com
                  - _id: ibx_M1qunaOcugoqSEnNY
                    opportunities: []
                    lastActivityAt: '2024-12-17T09:42:30.430Z'
                    createdBy: act_AzW7OkDzo7GZzfBYq
                    channels:
                      - email
                    teamId: tea_8QvkOiBfPdb2ZRhHi
                    contactId: ctc_p66lDxuCdb9ZUMSN2
                    users:
                      - userId: usr_xtJHBMYJSOHzI3ZFb
                        sender: true
                        read: false
                      - userId: usr_bcPQCObkKptmHw2Rp
                        sender: true
                        read: true
                    createdAt: '2024-12-03T14:01:15.873Z'
                    haveReplies: true
                    lastRepliedAt: '2024-12-03T14:14:00.848Z'
                    lastRepliedChannel: email
                    contact:
                      _id: ctc_p66lDxuCdb9ZUMSN2
                      email: casey@example.com
                  - _id: ibx_6vBhQEot19XAsTKvr
                    opportunities: []
                    lastActivityAt: '2024-12-17T09:42:17.682Z'
                    createdBy: act_38dXN8dzn6D8LU9dp
                    channels:
                      - email
                    teamId: tea_8QvkOiBfPdb2ZRhHi
                    contactId: ctc_rtlWNMHykdtwjih7i
                    users:
                      - userId: usr_xtJHBMYJSOHzI3ZFb
                        sender: true
                        read: true
                      - userId: usr_bcPQCObkKptmHw2Rp
                        sender: true
                        read: true
                    createdAt: '2024-12-02T16:27:50.927Z'
                    haveReplies: true
                    lastRepliedAt: '2024-12-02T16:38:35.875Z'
                    lastRepliedChannel: email
                    contact:
                      _id: ctc_rtlWNMHykdtwjih7i
                      email: morgan@example.com
                  - _id: ibx_wemRUwJQXZLRTjG8F
                    opportunities: []
                    lastActivityAt: '2024-12-04T16:58:53.629Z'
                    createdBy: act_GjM4hNyXjAm29XGa2
                    channels:
                      - email
                    teamId: tea_8QvkOiBfPdb2ZRhHi
                    contactId: ctc_POL1cAPMvKzr851KU
                    users:
                      - userId: usr_xtJHBMYJSOHzI3ZFb
                        sender: true
                        read: true
                      - userId: usr_bcPQCObkKptmHw2Rp
                        sender: true
                        read: true
                    createdAt: '2024-11-29T11:40:17.918Z'
                    haveReplies: true
                    lastRepliedAt: '2024-12-04T15:47:00.816Z'
                    lastRepliedChannel: email
                    contact:
                      _id: ctc_POL1cAPMvKzr851KU
                      fullName: Jordan
                      email: jordan@example.com
                pagination:
                  totalItems: 4
                  currentPage: 1
                  nextPage: null
                  previousPage: null
                  perPage: 10
                  totalPages: 1
        '400':
          description: 'Possible errors: Bad team / User ID is required / User not in team'
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '405':
          description: Method not allowed
components:
  schemas:
    InboxConversation:
      type: object
      description: A message thread between a user and a contact in the inbox.
      properties:
        _id:
          type: string
        leadId:
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/InboxMessage'
        createdAt:
          type: string
          format: date-time
    InboxMessage:
      type: object
      description: A single message within an inbox conversation.
      properties:
        _id:
          type: string
        conversationId:
          type: string
        sender:
          type: string
        recipient:
          type: string
        body:
          type: string
        sentAt:
          type: string
          format: date-time
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````